Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.mgmt
Interface DiscountMgmt

    public interface DiscountMgmt

This interface defines the public interface of the `DiscountMgmt` service. This service controls the persistance of discount sets and the creation and access of discounts.

Method Summary
`QualificationDiscountDef` | `getDiscountById(QualificationDiscountId id)` Gets a discount (`QualificationDiscountDef`) by it's id (`QualificationDiscountId`).
`QualificationDiscountDef` | `getDiscountByName(String discountName)` Gets a discount definition (`QualificationDiscountDef`) by its name.
`QualificationDiscountDef` | `getDiscountByName(String setName, String discountName)` Deprecated use getDiscountByName(String discountName)
`Set` | `getDiscountsById(Set idSet, Set qualDiscountDefSet)` Gets a `Set` of `QualificationDiscountDef`s whose ids (`QualificationDiscountId`)s are in the `Set` argument passed.
`Set` | `getGlobalDiscounts()` Gets all the global discounts currently deployed

Method Detail

### getGlobalDiscounts

    Set getGlobalDiscounts()
                           throws RemoteException

  Gets all the global discounts currently deployed

  Returns
    a Set containging all of the global QualificationDiscountDef objects currently deployed, if there are no global discounts deployed the Set will be empty.
  Throws
    `RemoteException` - thrown on a communication error

### getDiscountById

    QualificationDiscountDef getDiscountById(QualificationDiscountId id)
                                             throws RemoteException

  Gets a discount (`QualificationDiscountDef`) by it's id (`QualificationDiscountId`).

  Parameters
    `id` - the `QualificationDiscountId` of the discount
  Returns
    the `QualificationDiscountDef` specifed by the id or null if the discount was not found
  Throws
    `RemoteException` - thrown on a communication error

### getDiscountsById

    Set getDiscountsById(Set idSet,
                         Set qualDiscountDefSet)
                         throws RemoteException

  Gets a `Set` of `QualificationDiscountDef`s whose ids (`QualificationDiscountId`)s are in the `Set` argument passed.

  Parameters
    `idSet` - a Set of `QualificationDiscountId` objects. This Set will not be modified by this method.
    `qualDiscountDefSet` - an empty set into which the `QualificationDiscountDef` objects will be placed. This set must be modifiable. Anything that was already in the set will be removed.
  Returns
    a Set, the one specifed by the `qualDiscountDefSet` parameter, of `QualificationDiscountDef` objects whose `QualificationDiscountId`s match those passed in the `idSet` parameter. If no matching `QualificationDiscountDef` objects the returned set will be empty.
  Throws
    `RemoteException` - thrown on a communication error

### getDiscountByName

    QualificationDiscountDef getDiscountByName(String discountName)
                                               throws RemoteException

  Gets a discount definition (`QualificationDiscountDef`) by its name. Since discount name are only unquie within a discount set the set name is required also.

  Parameters
    `setName` - the name of the set to which the discount belongs
    `discountName` - the id (`QualificationDiscountId`) of the discount to retrieve
  Returns
    the discount definition (`QualificationDiscountDef`), or null if the discount was not found
  Throws
    `RemoteException` - thrown on a communication error

### getDiscountByName

    QualificationDiscountDef getDiscountByName(String setName,
                                               String discountName)
                                               throws RemoteException

  Deprecated use getDiscountByName(String discountName)

  Throws
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved